package com.yanzhu.jh.project.service;

import java.util.List;
import com.yanzhu.jh.project.domain.SmzProjectQuarterlyAssess;

/**
 * 项目季度考核Service接口
 * 
 * @author ruoyi
 * @date 2023-08-05
 */
public interface ISmzProjectQuarterlyAssessService 
{
    /**
     * 查询项目季度考核
     * 
     * @param id 项目季度考核主键
     * @return 项目季度考核
     */
    public SmzProjectQuarterlyAssess selectSmzProjectQuarterlyAssessById(Long id);

    /**
     * 查询项目季度考核列表
     * 
     * @param smzProjectQuarterlyAssess 项目季度考核
     * @return 项目季度考核集合
     */
    public List<SmzProjectQuarterlyAssess> selectSmzProjectQuarterlyAssessList(SmzProjectQuarterlyAssess smzProjectQuarterlyAssess);

    /**
     * 新增项目季度考核
     * 
     * @param smzProjectQuarterlyAssess 项目季度考核
     * @return 结果
     */
    public int insertSmzProjectQuarterlyAssess(SmzProjectQuarterlyAssess smzProjectQuarterlyAssess);

    /**
     * 修改项目季度考核
     * 
     * @param smzProjectQuarterlyAssess 项目季度考核
     * @return 结果
     */
    public int updateSmzProjectQuarterlyAssess(SmzProjectQuarterlyAssess smzProjectQuarterlyAssess);

    /**
     * 批量删除项目季度考核
     * 
     * @param ids 需要删除的项目季度考核主键集合
     * @return 结果
     */
    public int deleteSmzProjectQuarterlyAssessByIds(Long[] ids);

    /**
     * 删除项目季度考核信息
     * 
     * @param id 项目季度考核主键
     * @return 结果
     */
    public int deleteSmzProjectQuarterlyAssessById(Long id);

    public void addYear(SmzProjectQuarterlyAssess smzProjectQuarterlyAssess);

    public List<SmzProjectQuarterlyAssess> currentListByDept( SmzProjectQuarterlyAssess smzProjectQuarterlyAssess);

    /**
     * 根据项目类型查询项目的季度计划
     * @param where
     * @return
     */
    public List queryByProjectType(SmzProjectQuarterlyAssess where);
}
